org.eclipse.zest.core.viewers

## Interface IGraphEntityRelationshipContentProvider

All Superinterfaces:
  IContentProvider, IStructuredContentProvider

    public interface IGraphEntityRelationshipContentProvider
    extends IStructuredContentProvider

A content provider that is node-relationship centric. Call-backs return model nodes to the user, and ask for relationships. Both nodes and relationships are represented by the user's model.

### Method Summary

Methods
`java.lang.Object[]` `getRelationships(java.lang.Object source, java.lang.Object dest)` Gets the relationships between the given source and destination nodes.

### Methods inherited from interface org.eclipse.jface.viewers.IStructuredContentProvider

`getElements`

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

### Method Detail

#### getRelationships

    java.lang.Object[] getRelationships(java.lang.Object source,
                                      java.lang.Object dest)

Gets the relationships between the given source and destination nodes.

Parameters:
  `source` - the source node.
  `dest` - the destination node.
Returns:
  objects represtenting the different relationships between the nodes.